from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XViewPane(XInterface, Protocol):
    def getFirstVisibleColumn(self) -> int: ...
    def setFirstVisibleColumn(self, nFirstVisibleColumn: int) -> None: ...
    def getFirstVisibleRow(self) -> int: ...
    def setFirstVisibleRow(self, nFirstVisibleRow: int) -> None: ...
    def getVisibleRange(self) -> CellRangeAddress: ...
